#!/bin/sh
export PATH="/mnt/utmp/xu4b:${PATH:-"/usr/bin:/bin:/usr/local/bin"}"
export LD_LIBRARY_PATH="/mnt/utmp/xu4b/lib:${LD_LIBRARY_PATH:-"/usr/lib:/lib"}"
export HOME="/mnt/utmp/xu4b" XDG_CONFIG_HOME="/mnt/utmp/xu4b"

if [ -d /mnt/utmp/xu4/share ];then
	export XDG_DATA_DIRS=/mnt/utmp/xu4b/share:$XDG_DATA_DIRS:/usr/share
fi

  if test -f $HOME/ultima4/ULTIMA.COM ||
     test -f $HOME/ultima4/Ultima4.zip ||
     test -f $HOME/ultima4/ultima4.zip ||
     test -f $HOME/ultima4/ULTIMA4.ZIP ||
     test -f $HOME/ULTIMA.COM ||
     test -f $HOME/Ultima4.zip ||
     test -f $HOME/ultima4.zip ||
     test -f $HOME/ULTIMA4.ZIP ; then
    echo "Ultima IV game data found";
  else
    echo "Ultima IV game data not found";
    if zenity --question --title="Ultima IV data not found" --text="The Ultima IV game data was not found in the xu4 directory.\n\nConnect to the internet, then press Download to download the game data, or press Cancel to abort." --ok-label="Download" --cancel-label="Cancel"; 
    then
      echo "Downloading...";
        wget -c -q http://www.thatfleminggent.com/ultima/ultima4.zip -O /mnt/utmp/xu4/ULTIMA4.ZIP
    else
      echo "Cancelled!";
    fi
  fi


export SDL_AUDIODRIVER="alsa"
cd $HOME
[ -e "$HOME/scripts/pre_script.sh" ] && . $HOME/scripts/pre_script.sh
if [ -e "$HOME/scripts/post_script.sh" ];then
	./u4 $*
	. $HOME/scripts/post_script.sh
else
	exec ./u4 $*
fi
